/* global angular, random */
angular.module("app").config([
    '$stateProvider',
    function ($stateProvider) {
        $stateProvider.state('main.tag_asignar_recargar', {
            url: '/tag/:tag_id/asignar-recargar',
            templateUrl: 'templates/tags/tag-asignar-recargar.html' + random,
            controller: 'TagAsignarRecargarCtrl',
            resolve: {
                loadMyCtrl: [
                    '$ocLazyLoad',
                    function ($ocLazyLoad) {
                        return $ocLazyLoad.load([
                            'js/controllers/tags-controllers.js' + random,
                            'js/services/tags-services.js' + random,
                            'js/services/numeros-economicos-services.js' + random
                        ]);
                    }
                ]
            }
        });
    }
]);